Reconfigurable (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.conf, interface: Reconfigurable

Package org.apache.hadoop.conf

# Interface Reconfigurable

All Superinterfaces:
  `Configurable`

All Known Implementing Classes:
  `ReconfigurableBase`

public interface Reconfigurable extends Configurable
Something whose `Configuration` can be changed at run time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<String>`
  `getReconfigurableProperties()`
  Return all the properties that can be changed at run time.
  `boolean`
  `isPropertyReconfigurable(String property)`
  Return whether a given property is changeable at run time.
  `void`
  `reconfigureProperty(String property, String newVal)`
  Change a configuration property on this object to the value specified.

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Method Details

  - ### reconfigureProperty

    void reconfigureProperty(String property, String newVal) throws ReconfigurationException
    Change a configuration property on this object to the value specified. Change a configuration property on this object to the value specified and return the previous value that the configuration property was set to (or null if it was not previously set). If newVal is null, set the property to its default value;
    Parameters:
      `property` - property name.
      `newVal` - new value.
    Throws:
      `ReconfigurationException` - if there was an error applying newVal. If the property cannot be changed, throw a `ReconfigurationException`.

  - ### isPropertyReconfigurable

    boolean isPropertyReconfigurable(String property)
    Return whether a given property is changeable at run time. If isPropertyReconfigurable returns true for a property, then changeConf should not throw an exception when changing this property.
    Parameters:
      `property` - property name.
    Returns:
      true if property reconfigurable; false if not.

  - ### getReconfigurableProperties

    Collection<String> getReconfigurableProperties()
    Return all the properties that can be changed at run time.
    Returns:
      reconfigurable propertys.